Bug 1295503 - Packstack master branch is in the liberty repositories (was: Packstack installation fails with unsupported db backend)
Summary: Packstack master branch is in the liberty repositories (was: Packstack instal...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RDO
Classification: Community
Component: openstack-packstack
Version: Liberty
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: trunk
Assignee: Ivan Chavero
QA Contact: yeylon@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-01-04 17:39 UTC by David Moreau Simard
Modified: 2016-04-18 07:13 UTC (History)
9 users (show)

Fixed In Version: openstack-packstack-7.0.0-dev1685.g93ec9e5.el7.centos
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-03-30 22:59:33 UTC


Attachments (Terms of Use)
yum repolist -v (2.96 KB, text/plain)
2016-01-04 17:40 UTC, David Moreau Simard
no flags Details
/var/tmp/packstack/latest/manifests/172.19.2.51_cinder.pp (5.80 KB, text/plain)
2016-01-04 17:41 UTC, David Moreau Simard
no flags Details
/var/tmp/packstack/latest/manifests/172.19.2.51_cinder.pp.log (466 bytes, text/plain)
2016-01-04 17:41 UTC, David Moreau Simard
no flags Details
rpm -qa |egrep "openstack|packstack|puppet" (455 bytes, text/plain)
2016-01-04 17:43 UTC, David Moreau Simard
no flags Details
grep pymysql /usr/lib/python2.7/site-packages/packstack/* -R (2.42 KB, text/plain)
2016-01-04 17:45 UTC, David Moreau Simard
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1266032 0 high CLOSED Packstack should use pymysql database driver since Liberty 2021-02-22 00:41:40 UTC
Red Hat Bugzilla 1297052 0 unspecified CLOSED openstack-puppet-modules build is out of date and wrong branch in Delorean repos 2021-02-22 00:41:40 UTC

Internal Links: 1266032 1297052

Description David Moreau Simard 2016-01-04 17:39:32 UTC
When doing packstack --allinone with current delorean, installation fails to complete with an error from Cinder:

Error: Unsupported backend configured at /var/tmp/packstack/876d62eca8e24d749905ee7a5f730f49/modules/cinder/manifests/db.pp:75 on node n51.crusty.ci.centos.org

When looking at the manifest, we notice that it tries to configure the mysql database with the following string:
database_connection => "mysql+pymysql://cinder:${cinder_rab_cfg_cinder_db_pw}@${cinder_rab_cfg_mariadb_host}/cinder",

This change is only for the Mitaka release. It should not be in liberty for both packstack and puppet modules.
Yet, when intalling Packstack from the current liberty repositories, we get a packstack package with the pymysql commit in it.

The pymysql support was added in the master branch of Packstack in https://github.com/openstack/packstack/commit/67b27906468ad845d045eb3c02a106a93e6e00eb.
This commit is not in the liberty branch of Packstack.

Comment 1 David Moreau Simard 2016-01-04 17:40:42 UTC
Created attachment 1111545 [details]
yum repolist -v

Comment 2 David Moreau Simard 2016-01-04 17:41:24 UTC
Created attachment 1111546 [details]
/var/tmp/packstack/latest/manifests/172.19.2.51_cinder.pp

Comment 3 David Moreau Simard 2016-01-04 17:41:55 UTC
Created attachment 1111547 [details]
/var/tmp/packstack/latest/manifests/172.19.2.51_cinder.pp.log

Comment 4 David Moreau Simard 2016-01-04 17:43:39 UTC
Created attachment 1111548 [details]
rpm -qa |egrep "openstack|packstack|puppet"

Comment 5 David Moreau Simard 2016-01-04 17:45:35 UTC
Created attachment 1111549 [details]
grep pymysql /usr/lib/python2.7/site-packages/packstack/* -R

Comment 6 David Moreau Simard 2016-01-04 18:37:35 UTC
It turns out that up until now, we have been testing and releasing the upstream master branch of packstack in the liberty delorean repositories.

This is because delorean fails to pickup the "liberty" branch (https://github.com/openstack/packstack/tree/liberty) and instead expects a branch called "stable/liberty" and falls back to the master branch.

Comment 7 Alan Pevec (Fedora) 2016-01-05 06:25:04 UTC
I've pushed stable/liberty to openstack/packstack git repo.

Comment 8 Alan Pevec (Fedora) 2016-01-05 15:59:21 UTC
When merged https://review.openstack.org/263782 should trigger new Delorean Liberty build.


Note You need to log in before you can comment on or make changes to this bug.